Bug 175048 - games/wmminichess: Fix build with clang
Summary: games/wmminichess: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-08 02:00 UTC (History)
0 users

See Also:


Attachments
file.diff (4.81 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:13 UTC
- Fix build with clang
- Support PLIST_FILES

New file:
files/patch-chess.c
files/patch-xgen.c

Remove file:
files/patch-aa
pkg-plist
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:17:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-08 01:57:39 UTC
State Changed
From-To: open->closed
Comment 3 Martin Wilke freebsd_committer 2013-02-08 01:57:39 UTC
Responsible Changed
From-To: araujo->miwi

committed
Comment 4 dfilter service freebsd_committer 2013-02-08 01:57:49 UTC
Author: miwi
Date: Fri Feb  8 01:57:39 2013
New Revision: 311898
URL: http://svnweb.freebsd.org/changeset/ports/311898

Log:
  - Fix build with clang
  - Support PLIST_FILES
  
  PR:		175048
  Submitted by:	Ports Fury

Added:
  head/games/wmminichess/files/patch-chess.c   (contents, props changed)
  head/games/wmminichess/files/patch-xgen.c   (contents, props changed)
Deleted:
  head/games/wmminichess/files/patch-aa
  head/games/wmminichess/pkg-plist
Modified:
  head/games/wmminichess/Makefile   (contents, props changed)

Modified: head/games/wmminichess/Makefile
==============================================================================
--- head/games/wmminichess/Makefile	Fri Feb  8 01:55:59 2013	(r311897)
+++ head/games/wmminichess/Makefile	Fri Feb  8 01:57:39 2013	(r311898)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	(wm)miniCHESS
-# Date created:		24 Sep 1999
-# Whom:			Will Andrews <andrews@technologist.com>
-#
+# Created by: Will Andrews <andrews@technologist.com>
 # $FreeBSD$
-#
 
 PORTNAME=	wmminichess
 PORTVERSION=	0.8
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	games
 MASTER_SITES=	http://web.cs.mun.ca/~gstarkes/wmaker/dockapps/files/
 DISTNAME=	miniCHESS-${PORTVERSION}
@@ -16,14 +12,30 @@ MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Window Maker chess dockapp game
 
 LICENSE=	GPLv2 # (or later)
-LICENSE_FILE=	${WRKSRC}/COPYING
 
 RUN_DEPENDS=	${LOCALBASE}/bin/gnuchess:${PORTSDIR}/games/gnuchess
 
-USE_GMAKE=	YES
 USE_XORG=	xpm
-MAKE_ENV=	INSTALL_PROGRAM="${INSTALL_PROGRAM}" \
-		LOCAL="${LOCALBASE}" MKDIR="${MKDIR}" \
-		INSTALL_DATA="${INSTALL_DATA}"
+
+CPPFLAGS+=	-I${LOCALBASE}/include -DENGINE=\"${LOCALBASE}/bin/gnuchessx\"
+LDFLAGS+=	-L${LOCALBASE}/lib -lXpm -lXext -lX11
+
+PORTDOCS=	README TODO
+PLIST_FILES=	bin/minichess
+
+.include <bsd.port.options.mk>
+
+do-build:
+	(cd ${WRKSRC} \
+		&& ${CC} ${CFLAGS} ${CPPFLAGS} -o minichess *.c ${LDFLAGS})
+
+do-install:
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} minichess ${PREFIX}/bin)
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+.for i in ${PORTDOCS}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${DOCSDIR})
+.endfor
+.endif
 
 .include <bsd.port.mk>

Added: head/games/wmminichess/files/patch-chess.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/wmminichess/files/patch-chess.c	Fri Feb  8 01:57:39 2013	(r311898)
@@ -0,0 +1,11 @@
+--- chess.c.bak	1999-09-14 02:15:50.000000000 +0900
++++ chess.c	2012-10-24 03:04:11.000000000 +0900
+@@ -1972,7 +1972,7 @@
+  *
+  * RETURNS: N/A
+  */
+-void main(int argc, char* argv[])
++int main(int argc, char* argv[])
+     {
+     int toChild[2];
+     int fromChild[2];

Added: head/games/wmminichess/files/patch-xgen.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/wmminichess/files/patch-xgen.c	Fri Feb  8 01:57:39 2013	(r311898)
@@ -0,0 +1,10 @@
+--- xgen.c.orig	1999-07-29 14:00:50.000000000 +0900
++++ xgen.c	2012-10-24 03:05:24.000000000 +0900
+@@ -30,6 +30,7 @@
+  */
+ 
+ #include <stdio.h>
++#include <stdlib.h>
+ #include <string.h>
+ #include <X11/Xlib.h>
+ #include <X11/xpm.h>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"